Home » RDBMS Server » Server Administration » ORA-23375: feature is incompatible with database version
ORA-23375: feature is incompatible with database version [message #210528] Thu, 21 December 2006 03:50 Go to next message
gsgill76
Messages: 12
Registered: November 2006
Junior Member
Hi, Basically I want to setup Replication between two servers, 'ZEN2K7' & 'GVO' (Advanced master-to-master replication, Sync), using EM JAVA Console.
When executing
BEGIN
   DBMS_REPCAT.ADD_MASTER_DATABASE(
     gname => '"MG_HA14"',
     master => 'DL_HA14_TO_ZEN2K7',
     use_existing_objects => TRUE,
     copy_rows => TRUE,
     propagation_mode => 'SYNCHRONOUS');
END;


throws error as:
BEGIN
*
ERROR at line 1:
ORA-23375: feature is incompatible with database version at DL_HA14_TO_ZEN2K7
ORA-06512: at "SYS.DBMS_SYS_ERROR", line 86
ORA-06512: at "SYS.DBMS_REPCAT_MAS", line 2159
ORA-06512: at "SYS.DBMS_REPCAT", line 146
ORA-06512: at line 2

let me make clear i had checked
select name, value   from v$parameter where name='compatible'
show parameter compatible


on both of the server returns:
10.1.0.2.0

what other issue can be???

Kind Regards,
Thanks.
Gurpreet S. Gill.





Re: ORA-23375: feature is incompatible with database version [message #210566 is a reply to message #210528] Thu, 21 December 2006 06:10 Go to previous messageGo to next message
Mahesh Rajendran
Messages: 10672
Registered: March 2002
Location: oracleDocoVille
Senior Member
Account Moderator
>> show parameter compatible
Parameter compatible does not indicate the version working on.
I have'nt worked with replication lately and cannot dig much further.
1) Make sure both the databases involved are in same VERSION.
login individually and query v$version.
2) Make sure both the parties are the same edition (Enterprise edition)
3. And i beleive you need to grant prviliges before adding the master site. Did you do that?
http://download-east.oracle.com/docs/cd/B19306_01/server.102/b14227/rarrcatadminpac.htm#REPMA020
Re: ORA-23375: feature is incompatible with database version [message #210888 is a reply to message #210566] Fri, 22 December 2006 23:49 Go to previous messageGo to next message
gsgill76
Messages: 12
Registered: November 2006
Junior Member
Quote:

1) Make sure both the databases involved are in same VERSION.
login individually and query v$version.


I try "SELECT * FROM v$version" returns same on both servers
as
BANNER
----------------------------------------------------------------
Oracle Database 10g Enterprise Edition Release 10.1.0.2.0 - Prod
PL/SQL Release 10.1.0.2.0 - Production
CORE 10.1.0.2.0 Production
TNS for 32-bit Windows: Version 10.1.0.2.0 - Production
NLSRTL Version 10.1.0.2.0 - Production
Quote:

2) Make sure both the parties are the same edition (Enterprise edition)


YES its same on both servers( from the above banner, its clear)
Quote:

3. And i believe you need to grant previlliges before adding the master site. Did you do that?


In the SYSTEM user i issue the command as (on the both servers)
execute dbms_repcat_admin.grant_admin_any_repgroup  ('REPADMIN');
execute dbms_repcat_admin.grant_admin_any_repschema ('REPADMIN');


but same problem

Any other thing need to check?
OR
Any other grant, permission or privileges?

Kind Regards,
Thanks.
Gurpreet S. Gill
icon11.gif  Re: ORA-23375: feature is incompatible with database version [message #211083 is a reply to message #210528] Tue, 26 December 2006 03:05 Go to previous messageGo to next message
gsgill76
Messages: 12
Registered: November 2006
Junior Member
Help me i am still with same problem. Embarassed

Gurpreet S. Gill
Re: ORA-23375: feature is incompatible with database version [message #211110 is a reply to message #211083] Tue, 26 December 2006 07:02 Go to previous messageGo to next message
Mahesh Rajendran
Messages: 10672
Registered: March 2002
Location: oracleDocoVille
Senior Member
Account Moderator
It is been a long time i worked with replication and i cannot pull anything from top of my head. Smile
May be your global name or db link contains reserved words.
If nothing works, raise the TAR.
Re: ORA-23375: feature is incompatible with database version [message #211169 is a reply to message #211110] Tue, 26 December 2006 23:35 Go to previous messageGo to next message
gsgill76
Messages: 12
Registered: November 2006
Junior Member
Mahesh
Quote:
raise the TAR

What is this?

Gurpreet S. Gill
Re: ORA-23375: feature is incompatible with database version [message #211200 is a reply to message #211169] Wed, 27 December 2006 02:48 Go to previous messageGo to next message
seema.taunk
Messages: 96
Registered: October 2006
Member
Hi,

If you have oracle metalink site ( oracle support) login id , then you can raise a request to solve your problem.
Re: ORA-23375: feature is incompatible with database version [message #211403 is a reply to message #210528] Thu, 28 December 2006 07:18 Go to previous message
gsgill76
Messages: 12
Registered: November 2006
Junior Member
My problem had been solved.

Please check this

http://dba.ipbhost.com/index.php?showtopic=5392

Gurpreet S. Gill


Previous Topic: Regarding Import and Export
Next Topic: could not roll back the transaction
Goto Forum:
  


Current Time: Sun Dec 11 06:22:32 CST 2016

Total time taken to generate the page: 0.13163 seconds